<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module trips_traps_trull</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong>trips_traps_trull</strong></big></big></font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:/home/taavi/git/trips_traps_trull.gitlab/trips_traps_trull.py">/home/taavi/git/trips_traps_trull.gitlab/trips_traps_trull.py</a></font></td></tr></table>
    <p><tt>#&nbsp;terminali&nbsp;aknas<br>
#&nbsp;alustad&nbsp;sellest&nbsp;(tõmbad&nbsp;endale&nbsp;teiste&nbsp;muudatused)<br>
$&nbsp;git&nbsp;pull&nbsp;#&nbsp;tõmbab&nbsp;versioonihoidlast&nbsp;uusima&nbsp;versiooni<br>
&nbsp;<br>
#&nbsp;lõpetad&nbsp;sellega&nbsp;(salvestad&nbsp;oma&nbsp;muutused&nbsp;versioonihoidlas)<br>
$&nbsp;git&nbsp;status&nbsp;#&nbsp;näitab&nbsp;milleiseid&nbsp;faile&nbsp;oled&nbsp;muutnud<br>
$&nbsp;git&nbsp;add&nbsp;MUUDETUD-FAILI-NIMI<br>
$&nbsp;git&nbsp;commit&nbsp;-m&nbsp;"KOMMENTAAR&nbsp;MUUDATUSTE&nbsp;KOHTA"<br>
$&nbsp;git&nbsp;push&nbsp;#&nbsp;lisab&nbsp;versioonihoidlasse&nbsp;(internetis)</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#aa55cc">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Modules</strong></big></font></td></tr>
    
<tr><td bgcolor="#aa55cc"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><table width="100%" summary="list"><tr><td width="25%" valign=top><a href="random.html">random</a><br>
</td><td width="25%" valign=top><a href="sys.html">sys</a><br>
</td><td width="25%" valign=top></td><td width="25%" valign=top></td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial"><a href="builtins.html#object">builtins.object</a>
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="trips_traps_trull.html#TRIPSTRAPSTRULL">TRIPSTRAPSTRULL</a>
</font></dt></dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="TRIPSTRAPSTRULL">class <strong>TRIPSTRAPSTRULL</strong></a>(<a href="builtins.html#object">builtins.object</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt>ANSI_RESET&nbsp;&nbsp;=&nbsp;"[0m"<br>
ANSI_BLACK&nbsp;&nbsp;=&nbsp;"[30m"<br>
ANSI_RED&nbsp;&nbsp;&nbsp;&nbsp;=&nbsp;"[31m"<br>
ANSI_GREEN&nbsp;&nbsp;=&nbsp;"[32m"<br>
ANSI_YELLOW&nbsp;=&nbsp;"[33m"<br>
ANSI_BLUE&nbsp;&nbsp;&nbsp;=&nbsp;"[34m"<br>
ANSI_PURPLE&nbsp;=&nbsp;"[35m"<br>
ANSI_CYAN&nbsp;&nbsp;&nbsp;=&nbsp;"[36m"<br>
ANSI_WHITE&nbsp;&nbsp;=&nbsp;"[37m"<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%">Methods defined here:<br>
<dl><dt><a name="TRIPSTRAPSTRULL-kas_vaba"><strong>kas_vaba</strong></a>(self, idx: int) -&gt; bool</dt><dd><tt>Vaatab&nbsp;kas&nbsp;sinna&nbsp;saab&nbsp;käia<br>
&nbsp;<br>
Args:<br>
&nbsp;&nbsp;&nbsp;&nbsp;idx&nbsp;(int):&nbsp;Kontrollitava&nbsp;lahtri&nbsp;idx<br>
&nbsp;&nbsp;&nbsp;&nbsp;<br>
Returns:<br>
&nbsp;&nbsp;&nbsp;&nbsp;bool:&nbsp;True:&nbsp;Kui&nbsp;on&nbsp;vaba,&nbsp;False&nbsp;kui&nbsp;ei&nbsp;ole&nbsp;vaba.</tt></dd></dl>

<dl><dt><a name="TRIPSTRAPSTRULL-keegi_võitis"><strong>keegi_võitis</strong></a>(self)</dt></dl>

<dl><dt><a name="TRIPSTRAPSTRULL-käi_lahtrisse"><strong>käi_lahtrisse</strong></a>(self, idx: int) -&gt; bool</dt><dd><tt>Käigukorrale&nbsp;vastav&nbsp;märk&nbsp;indeksiga&nbsp;etteaantud&nbsp;kohta&nbsp;mänguväljakul<br>
&nbsp;<br>
idx&nbsp;(int):&nbsp;lahtri&nbsp;number&nbsp;kuhu&nbsp;käia<br>
self.<strong>n</strong>&nbsp;(int):&nbsp;jooksva&nbsp;käigu&nbsp;nr,&nbsp;et&nbsp;leida&nbsp;kelle&nbsp;käik&nbsp;parajasti&nbsp;on&nbsp;<br>
&nbsp;<br>
Returns:<br>
&nbsp;&nbsp;&nbsp;&nbsp;bool:&nbsp;True:&nbsp;käik&nbsp;tehtud,&nbsp;False:&nbsp;seal&nbsp;oli&nbsp;kellegi&nbsp;märk&nbsp;juba&nbsp;ees</tt></dd></dl>

<dl><dt><a name="TRIPSTRAPSTRULL-küsi_käiku_inimeselt"><strong>küsi_käiku_inimeselt</strong></a>(self) -&gt; int</dt><dd><tt>Küsime&nbsp;inimese&nbsp;käest&nbsp;kuhu&nbsp;käia<br>
Returns:<br>
&nbsp;&nbsp;&nbsp;int:&nbsp;Koha&nbsp;idx</tt></dd></dl>

<dl><dt><a name="TRIPSTRAPSTRULL-leia_kõik_vabad_lahtrid"><strong>leia_kõik_vabad_lahtrid</strong></a>(self) -&gt; List[int]</dt><dd><tt>Leia&nbsp;kõik&nbsp;lahtrid,&nbsp;kuhu&nbsp;saab&nbsp;veel&nbsp;käia.<br>
&nbsp;<br>
Returns:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;List[int]:&nbsp;vabade&nbsp;lahtrite&nbsp;loend</tt></dd></dl>

<dl><dt><a name="TRIPSTRAPSTRULL-leia_vabad_lahtrid"><strong>leia_vabad_lahtrid</strong></a>(self, kontrollitavate_lahtrite_indeksid: List[int]) -&gt; List[int]</dt><dd><tt>Leia&nbsp;kõik&nbsp;lahtrid,&nbsp;kuhu&nbsp;saab&nbsp;veel&nbsp;käia.<br>
&nbsp;<br>
kontrollitavate_lahtrite_indeksid&nbsp;(List[int]):&nbsp;nende&nbsp;hulgast&nbsp;leiame&nbsp;vabad&nbsp;lahtrid<br>
&nbsp;<br>
Returns:<br>
&nbsp;&nbsp;&nbsp;&nbsp;List[int]:&nbsp;vabade&nbsp;lahtrite&nbsp;loend</tt></dd></dl>

<dl><dt><a name="TRIPSTRAPSTRULL-mängi"><strong>mängi</strong></a>(self)</dt></dl>

<dl><dt><a name="TRIPSTRAPSTRULL-näita_väljakut"><strong>näita_väljakut</strong></a>(self)</dt><dd><tt>Kuvame&nbsp;mänguväljaku&nbsp;ekraanile<br>
&nbsp;<br>
self.<strong>väljak</strong>&nbsp;(List[str]):&nbsp;mänguväljak<br>
self.<strong>muuvärv</strong>&nbsp;(str):&nbsp;vaikimisi&nbsp;mänguväljaku&nbsp;värv</tt></dd></dl>

<dl><dt><a name="TRIPSTRAPSTRULL-tee_juhuslik_käik"><strong>tee_juhuslik_käik</strong></a>(self) -&gt; int</dt><dd><tt>Vali&nbsp;juhuslikult&nbsp;vabade&nbsp;lahtrite&nbsp;hulgast&nbsp;üks<br>
&nbsp;<br>
Returns:<br>
&nbsp;&nbsp;&nbsp;&nbsp;(int):&nbsp;Juhuslikult&nbsp;valitud&nbsp;vaba&nbsp;lahtri&nbsp;indeks</tt></dd></dl>

<dl><dt><a name="TRIPSTRAPSTRULL-tee_tühi_väljak"><strong>tee_tühi_väljak</strong></a>(self) -&gt; None</dt><dd><tt>Algväärtustame&nbsp;mänguväljaku<br>
&nbsp;<br>
Massiivi&nbsp;elemendid&nbsp;1-3&nbsp;on&nbsp;1.&nbsp;rida,&nbsp;4-6&nbsp;2.&nbsp;rida,&nbsp;7-9&nbsp;kolmas&nbsp;rida.<br>
Massivi&nbsp;elementi&nbsp;0&nbsp;ei&nbsp;kasuta.</tt></dd></dl>

<dl><dt><a name="TRIPSTRAPSTRULL-vali_mängijad"><strong>vali_mängijad</strong></a>(self) -&gt; None</dt><dd><tt>Valime&nbsp;mängija&nbsp;(inimene,&nbsp;arvuti&nbsp;käib&nbsp;juhuslikult,&nbsp;arvuti&nbsp;käib&nbsp;plaanipäraselt)<br>
&nbsp;<br>
self.<strong>kes_mängib</strong>&nbsp;(str):&nbsp;Menüüstring&nbsp;võimalike&nbsp;mängijatega<br>
&nbsp;<br>
Returns:<br>
&nbsp;&nbsp;&nbsp;&nbsp;self.<strong>esimene_mängija</strong>&nbsp;(int):&nbsp;1.&nbsp;mängija&nbsp;kood&nbsp;menüüstringist<br>
&nbsp;&nbsp;&nbsp;&nbsp;self.<strong>teine_mängija</strong>&nbsp;(int):&nbsp;2.&nbsp;mängija&nbsp;kood&nbsp;menüüstringist</tt></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>Omärk</strong> = '<font color="#c040c0">\x1b</font>[36mO<font color="#c040c0">\x1b</font>[32m'</dl>

<dl><dt><strong>Ovärv</strong> = '<font color="#c040c0">\x1b</font>[36m'</dl>

<dl><dt><strong>Xmärk</strong> = '<font color="#c040c0">\x1b</font>[35mX<font color="#c040c0">\x1b</font>[32m'</dl>

<dl><dt><strong>Xvärv</strong> = '<font color="#c040c0">\x1b</font>[35m'</dl>

<dl><dt><strong>esimene_mängija</strong> = 0</dl>

<dl><dt><strong>kes_mängib</strong> = '  1. Inimene valib käigu<font color="#c040c0">\n</font>  2. Arvuti käib juhuslikult<font color="#c040c0">\n</font>  3. Arvuti üritab nutikalt käia<font color="#c040c0">\n</font>Valik? '</dl>

<dl><dt><strong>kolmikud</strong> = [[1, 2, 3], [4, 5, 6], [7, 8, 9], [1, 4, 7], [2, 5, 8], [3, 6, 9], [1, 5, 9], [3, 5, 7]]</dl>

<dl><dt><strong>muuvärv</strong> = '<font color="#c040c0">\x1b</font>[32m'</dl>

<dl><dt><strong>n</strong> = 0</dl>

<dl><dt><strong>teine_mängija</strong> = 0</dl>

<dl><dt><strong>väljak</strong> = []</dl>

</td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>Dict</strong> = typing.Dict<br>
<strong>List</strong> = typing.List</td></tr></table>
</body></html>